import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ContextMenuHook } from './types';
import './column-selected-context-menu.scss';
export default class ColumnSelectedContextMenuHook implements ContextMenuHook {
    private table;
    private insertColumnBeforeMenuItem;
    private insertColumnAfterMenuItem;
    private columnWidthItem;
    constructor(table: OnesTable);
    removeAll(itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[]): void;
    handleShowContextMenu(table: OnesTable, menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[], hitInfo: any, _spread: object): void;
    private handleAutoColumnWidth;
    private handleDeleteColumns;
    private handleHideColumns;
    private handleUnhideColumns;
    private handleUnhideAllColumns;
    destroy(): void;
    close(): void;
}
